%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

%define majver 2
%define minver 1.3.0

Name:           python-radare
Version:        %{majver}.%{minver}
Release:        1%{?dist}
License:        LGPL-3.0
Source:         http://radare.nopcode.org/get/radare%{majver}-bindings-%{minver}.tar.gz
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:        Reverse Engineering Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  swig
BuildRequires:  radare-devel == %{version}
BuildRequires:  openssl-devel
BuildRequires:  file-devel
BuildRequires:  guile-devel
BuildRequires:  ruby-devel
BuildRequires:  valabind
BuildRequires:  vala
BuildRequires:  %(basename %{__python})-devel

%description
Python bindings for radare

%prep
%setup -q -n radare%{majver}-bindings-%{minver}

%build
%configure --prefix=%{_prefix}
cd python
%{__make}

%install
cd python
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(644, root, root)	%{python_sitelib}/r2/*.*

%changelog
* Mon Jul 11 2016 Lawrence R. Rogers <lrr@cert.org> 2.0.10.4-1
* Release 2.0.10.4-1
	Version 0.10.4

* Fri Jun  5 2015 Lawrence R. Rogers <lrr@cert.org> 2.0.9.9-1
* Release 2.0.9.9-1
	Version 0.9.9

* Fri May 09 2014 Lawrence R. Rogers <lrr@cert.org> 2.0.9.7-1
* Release 2.0.9.7-1
	These are the python bindings for radare2

